► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

new
get-column
set-column

Inherited methods:
from control-event%
get-event-type
set-event-type
from event%
get-time-stamp
set-time-stamp

top ← prev up next →

> class

> column-control-event% : class?

superclass: control-event%

A column-control-event% object contains information about a event on an list-box% column header.

> > constructor

> > ( new column-control-event% |
> > |  | [column column] |
> > |  | [event-type event-type] |
> > | [ | [time-stamp time-stamp]]) |

> → ( is-a?/c column-control-event% )
> column : exact-nonnegative-integer?
> event-type : ( or/c 'list-box-column)
> time-stamp : exact-integer? = 0

The column argument indicates the column that was clicked.

> > method

> > ( send a-column-control-event get-column )

> → exact-nonnegative-integer?

Returns the column number (counting from 0) of the clicked column.

> > method

> > ( send a-column-control-event set-column column) → void?

> column : exact-nonnegative-integer?

Sets the column number (counting from 0) of the clicked column.
top ← prev up next →